--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
- !ruby/struct:SM::Flow::P 
  body: The AssociationReflection subclass for many_through_many associations.
constants: []

full_name: Sequel::Plugins::ManyThroughMany::ManyThroughManyAssociationReflection
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: associated_key_table
- !ruby/object:RI::MethodSummary 
  name: default_associated_key_alias
- !ruby/object:RI::MethodSummary 
  name: edges
- !ruby/object:RI::MethodSummary 
  name: reciprocal
- !ruby/object:RI::MethodSummary 
  name: reverse_edges
name: ManyThroughManyAssociationReflection
superclass: Sequel::Model::Associations::ManyToManyAssociationReflection
